using Microsoft.AspNetCore.Identity;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MTWorkHR.Application.Services.Interfaces
{
    public interface IOTPService
    {
        Task<string> RandomOneTimePassword(string userId);
        Task<bool> VerifyOTP(string userId, string oneTimePassword);
        Task SentOTPByMail(string userId, string email, string oneTimePassword);
    }
}
